distributedlog-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sijie Guo (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (DL-204) Bump libthrift to latest version for distributedlog-core
Date Mon, 12 Jun 2017 21:13:00 GMT

     [ https://issues.apache.org/jira/browse/DL-204?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sijie Guo resolved DL-204.
--------------------------
    Resolution: Fixed

Issue resolved by merging pull request 132
      [https://github.com/apache/incubator-distributedlog/pull/132]

      {noformat}
      commit 0cb775c931c7b92a0dda58bb59b4145ff9fdd255
Author:     Sijie Guo <sijie@apache.org>
AuthorDate: Mon Jun 12 14:12:13 2017 -0700
Commit:     Sijie Guo <sijie@apache.org>
CommitDate: Mon Jun 12 14:12:13 2017 -0700

    DL-204: Bump libthrift to latest version for distributedlog-core
    
    Currently finagle heavily depends on an out-of-dated version - libthrift 5.0. Proxy modules
(client, server) depend on this version, however the core library doesn't really depend on
libthrift.
    
    This change is to change libthrift to 0.9.* in distributedlog-core and shade it to avoid
it conflict with the version used by finagle.
    
    This change is based on #131 . The main change is at gitsha [6e58786](https://github.com/apache/incubator-distributedlog/commit/6e587869f87cdce50ae93ba3d52767719d1ab5a6)
    
    Author: Sijie Guo <sijie@apache.org>
    
    Reviewers: Jia Zhai <None>, Leigh Stewart <lstewart@apache.org>
    
    Closes #132 from sijie/change_thrift_for_core_module

      {noformat}
      

> Bump libthrift to latest version for distributedlog-core
> --------------------------------------------------------
>
>                 Key: DL-204
>                 URL: https://issues.apache.org/jira/browse/DL-204
>             Project: DistributedLog
>          Issue Type: Improvement
>    Affects Versions: 0.4.0
>            Reporter: Sijie Guo
>            Assignee: Sijie Guo
>             Fix For: 0.5.0
>
>
> Currently finagle heavily depends on an out-of-dated version - libthrift 5.0. Proxy modules
(client, server) depend on this version, however the core library doesn't really depend on
libthrift. so this jira is to bump libthrift version for distributedlog-core.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message